Package org.apache.cayenne.access.sqlbuilder

## Class SQLBuilder

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.SQLBuilder

-     public final class SQLBuilder
      extends Object

  Since:
    4.2

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeBuilder` | `aliased​(NodeBuilder nodeBuilder, String alias)` |
    `static NodeBuilder` | `aliased​(Node node, String alias)` |
    `static NodeBuilder` | `all()` |
    `static FunctionNodeBuilder` | `avg​(NodeBuilder value)` |
    `static ColumnNodeBuilder` | `column​(String column)` |
    `static FunctionNodeBuilder` | `count()` |
    `static FunctionNodeBuilder` | `count​(NodeBuilder value)` |
    `static DeleteBuilder` | `delete​(String table)` |
    `static DeleteBuilder` | `delete​(DbEntity table)` |
    `static ExpressionNodeBuilder` | `exists​(NodeBuilder builder)` |
    `static ExpressionNodeBuilder` | `exp​(NodeBuilder builder)` |
    `static FunctionNodeBuilder` | `function​(String function, NodeBuilder... values)` |
    `static JoinNodeBuilder` | `innerJoin​(NodeBuilder table)` |
    `static InsertBuilder` | `insert​(String table)` |
    `static InsertBuilder` | `insert​(DbEntity table)` |
    `static JoinNodeBuilder` | `join​(NodeBuilder table)` |
    `static JoinNodeBuilder` | `leftJoin​(NodeBuilder table)` |
    `static FunctionNodeBuilder` | `max​(NodeBuilder value)` |
    `static FunctionNodeBuilder` | `min​(NodeBuilder value)` |
    `static NodeBuilder` | `node​(Node node)` |
    `static ExpressionNodeBuilder` | `not​(NodeBuilder value)` |
    `static OrderingNodeBuilder` | `order​(NodeBuilder expression)` |
    `static JoinNodeBuilder` | `outerJoin​(NodeBuilder table)` |
    `static JoinNodeBuilder` | `rightJoin​(NodeBuilder table)` |
    `static SelectBuilder` | `select​(NodeBuilder... params)` |
    `static TableNodeBuilder` | `table​(String table)` |
    `static TableNodeBuilder` | `table​(DbEntity table)` |
    `static NodeBuilder` | `text​(String text)` |
    `static UpdateBuilder` | `update​(String table)` |
    `static UpdateBuilder` | `update​(DbEntity table)` |
    `static ValueNodeBuilder` | `value​(Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### select

          public static SelectBuilder select​(NodeBuilder... params)

    - #### insert

          public static InsertBuilder insert​(String table)

    - #### insert

          public static InsertBuilder insert​(DbEntity table)

    - #### update

          public static UpdateBuilder update​(String table)

    - #### update

          public static UpdateBuilder update​(DbEntity table)

    - #### delete

          public static DeleteBuilder delete​(String table)

    - #### delete

          public static DeleteBuilder delete​(DbEntity table)

    - #### table

          public static TableNodeBuilder table​(String table)

    - #### table

          public static TableNodeBuilder table​(DbEntity table)

    - #### column

          public static ColumnNodeBuilder column​(String column)

    - #### join

          public static JoinNodeBuilder join​(NodeBuilder table)

    - #### leftJoin

          public static JoinNodeBuilder leftJoin​(NodeBuilder table)

    - #### rightJoin

          public static JoinNodeBuilder rightJoin​(NodeBuilder table)

    - #### innerJoin

          public static JoinNodeBuilder innerJoin​(NodeBuilder table)

    - #### outerJoin

          public static JoinNodeBuilder outerJoin​(NodeBuilder table)

    - #### exists

          public static ExpressionNodeBuilder exists​(NodeBuilder builder)

    - #### value

          public static ValueNodeBuilder value​(Object value)

    - #### exp

          public static ExpressionNodeBuilder exp​(NodeBuilder builder)

    - #### node

          public static NodeBuilder node​(Node node)

    - #### aliased

          public static NodeBuilder aliased​(NodeBuilder nodeBuilder,
                                            String alias)

    - #### aliased

          public static NodeBuilder aliased​(Node node,
                                            String alias)

    - #### text

          public static NodeBuilder text​(String text)

    - #### all

          public static NodeBuilder all()

    - #### not

          public static ExpressionNodeBuilder not​(NodeBuilder value)

    - #### count

          public static FunctionNodeBuilder count​(NodeBuilder value)

    - #### count

          public static FunctionNodeBuilder count()

    - #### avg

          public static FunctionNodeBuilder avg​(NodeBuilder value)

    - #### min

          public static FunctionNodeBuilder min​(NodeBuilder value)

    - #### max

          public static FunctionNodeBuilder max​(NodeBuilder value)

    - #### function

          public static FunctionNodeBuilder function​(String function,
                                                     NodeBuilder... values)

    - #### order

          public static OrderingNodeBuilder order​(NodeBuilder expression)